Subject: bug#74967: closed (Re: About /etc/subuid and /etc/subgid commits)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 21 Dec 2024 17:27:02 +0000

Your bug report

#74967: About /etc/subuid and /etc/subgid commits 

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
74967: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=74967
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: About /etc/subuid and /etc/subgid commits
From: paul <[email-masked]>
To: Nicolas Graves <[email-masked]>, [email-masked]
Cc: Ludovic Courtès <[email-masked]>
Date: Sat, 21 Dec 2024 18:23:50 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nicolas, awesome! I'm closing this.

Cheers,

giacomo

Il 21 dicembre 2024 17:49:08 CET, Nicolas Graves <[email-masked]> ha scritto:
>On 2024-12-19 12:32, paul wrote:
>
>> Hi Nicolas, apologies for breaking your system :( Is is possible for you 
>> to try and bisect the history to find the culprit commit?
>>
>> On 12/19/24 10:36, Nicolas Graves wrote:
>>> It is a bit circumvoluted, but it worked properly on my side on
>>> guix@478b9ccea8. Do you see a reason why your patches could break my
>>> user login?
>>
>> I'm not sure, I was wondering: do you use/extend the subids-service-type 
>> in your configuration or did you already have manually setup /etc/subuid 
>> or /etc/subgid? Otherwise I'm not sure how it can impact your system, if 
>> you could share even some parts of your operating-system configuration 
>> it would make finding the problem a little easier.
>>
>> Since you mentioned PAM, these two changes that I authored were recently 
>> merged. Could you try and see whether your system work at commit 
>> a1ecd7f56c4ffadc49d5501a0df7f4c4556120c2 which is the parent of the 
>> first pam change?
>>
>> Thank you very much :)
>
>I've tried bisecting and this time it seems to work properly.  I'm not
>sure what it was then, but it works fine now!
>
>-- 
>Best regards,
>Nicolas Graves

Subject: About /etc/subuid and /etc/subgid commits
From: Nicolas Graves <[email-masked]>
To: [email-masked], Giacomo Leidi <[email-masked]>
Cc: Ludovic Courtès <[email-masked]>
Date: Thu, 19 Dec 2024 10:36:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Giacomo,

I noticed the last 11 commits are breaking my peculiar tmpfs root
configuration.  More precisely, I have more or less this layout :
tmpfs: /, $HOME
vfat32: /boot/efi
btrfs: /var/guix, /gnu/store, /var/lib, /boot ... + several directories
under $HOME

That means that at startup, I won't have anything in /etc nor $HOME
basically. To deploy guix home properly, I run a pam_exec on login which
symlinks /var/guix/profiles/per-user/${USER}/guix-home && current-guix
to their expected places, then runs the home activation script, and then
logins.

It is a bit circumvoluted, but it worked properly on my side on
guix@478b9ccea8. Do you see a reason why your patches could break my
user login?

I can at least confirm that the $PATH for my $USER is not set properly
after login after these patches, before it was.

-- 
Best regards,
Nicolas Graves